buildscript {

    val ktlintVersion = "10.2.0"

    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        classpath("com.android.tools.build:gradle:7.2.0-alpha05")
        classpath(kotlin("gradle-plugin", version = "1.5.31"))
        classpath("org.jlleitschuh.gradle:ktlint-gradle:$ktlintVersion")
    }
}

plugins {
    id("org.jlleitschuh.gradle.ktlint") version "10.2.0"
//    id("de.jansauer.printcoverage") version "2.0.0"
}
subprojects {

    apply(plugin = "org.jlleitschuh.gradle.ktlint") // Version should be inherited from parent
    ktlint {
        android.set(true)
        outputToConsole.set(true)
        outputColorName.set("RED")
        reporters {
            reporter(org.jlleitschuh.gradle.ktlint.reporter.ReporterType.HTML)
        }
        filter {
            exclude("**/generated/**")
            include("**/kotlin/**")
        }
    }

    tasks.withType<Test> {
        useJUnitPlatform()
//        finalizedBy("testCoverage")
    }
}
tasks.register("clean", Delete::class) {
    delete(rootProject.buildDir)
}
